# Update profile

> Management API · Your Profile

```http
PATCH https://app.mk.io/api/v1/user/profile
```

This endpoint allows certain fields within the profile to be updated.

Requires authentication; no additional RBAC permissions required.

## Authentication

- `Authorization` header — Bearer authentication of the form `Bearer <token>`.

## Request body

Content type: `application/json`

- `spec` · object · **Required** — Specification.
  - `company` · string · Optional · _0-1024 characters_ — Company.
  - `country` · string · Optional · _0-1024 characters_ — Country.
  - `jobRole` · string · Optional · _0-1024 characters_ — Job Role.
  - `name` · string · Optional · _1-1024 characters_ — Full name.
  - `phoneNumber` · string · Optional · _0-1024 characters_ — Phone number including international dialling code

## Example request

```bash
curl -X PATCH "https://app.mk.io/api/v1/user/profile" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
  "spec": {
    "company": "string",
    "country": "string",
    "jobRole": "string",
    "name": "string",
    "phoneNumber": "string"
  }
}'
```

## Responses

### 200 — OK

- `kind` · string · **Required** — The kind of record.
- `metadata` · object · **Required** — Metadata.
  - `id` · string · **Required** · _format: uuid_ — The unique identifier of the user.
- `spec` · object · **Required** — Specification.
  - `activeOrganizationId` · string · **Required** — Currently selected organization.
  - `avatar` · string · **Required** · _<=200 characters_ — Avatar.
  - `company` · string · Optional · _0-1024 characters_ — Company.
  - `contactEmail` · string · **Required** · _1-1024 characters_ — Contact email address
  - `country` · string · Optional · _0-1024 characters_ — Country.
  - `features` · map from strings to any · **Required** — Internally managed set of flags indicating access to preview or new features.
    - `[any key]` · any — map of additional properties
  - `isActive` · boolean · **Required** — Is this user active?
  - `jobRole` · string · Optional · _0-1024 characters_ — Job Role.
  - `loginEmail` · string · **Required** · _1-1024 characters_ — Email address used for login
  - `name` · string · Optional · _1-1024 characters_ — Full name.
  - `phoneNumber` · string · Optional · _0-1024 characters_ — Phone number including international dialling code

Example:

```json
{
  "kind": "string",
  "metadata": {
    "id": "00000000-0000-0000-0000-000000000000"
  },
  "spec": {
    "activeOrganizationId": "string",
    "avatar": "string",
    "company": "string",
    "contactEmail": "string",
    "country": "string",
    "features": {
      "key": null
    },
    "isActive": true,
    "jobRole": "string",
    "loginEmail": "string",
    "name": "string",
    "phoneNumber": "string"
  }
}
```

### 400 — Bad Request

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 401 — Unauthorized

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 403 — Forbidden

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 404 — Not Found

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 429 — Too Many Requests

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 500 — Internal Server Error

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

---

Source spec: `management-api` · operationId: `[patch]_/api/v1/user/profile`
